---
title: PaymentItem
slug: Web/API/PaymentItem
tags:
  - API
  - Commerce
  - Dictionary
  - Payment Request
  - Payment Request API
  - PaymentItem
  - Reference
  - payment
---
<p>{{securecontext_header}}{{APIRef("Payment Request API")}}</p>

<p><span class="seoSummary">The {{domxref("PaymentItem")}} dictionary is used by the <a href="/en-US/docs/Web/API/Payment_Request_API">Payment Request API</a> to describe a single line item on a payment request.</span> This might be an item or service being purchased or a tax or other charge.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("PaymentItem.amount", "amount")}} {{securecontext_inline}}</dt>
 <dd>A {{domxref("PaymentCurrencyAmount")}} object describing the monetary value of the item.</dd>
 <dt>{{domxref("PaymentItem.label", "label")}} {{securecontext_inline}}</dt>
 <dd>A string specifying a human-readable name or description of the item or service being charged for. This may be displayed to the user by the {{Glossary("user agent")}}, depending on the design of the interface.</dd>
 <dt>{{domxref("PaymentItem.pending", "pending")}} {{securecontext_inline}}</dt>
 <dd>A Boolean value which is <code>true</code> if the specified <code>amount</code> has not yet been finalized. This can be used to show items such as shipping or tax amounts that depend upon the selection of shipping address, shipping option, or so forth. The user agent may show this information but is not required to do so.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-paymentitem','PaymentItem')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentItem")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API">Payment Request API</a></li>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API/Using_the_Payment_Request_API">Using the Payment Request API</a></li>
</ul>
